// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.command;

import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.subsystem.Grimpeur;
import frc.robot.subsystem.LED;

public class Pistongrimpeur extends Command {
  private LED LED;
  private Grimpeur grimpeur;
  /** Creates a new Pistongrimpeur. */
  public Pistongrimpeur(Grimpeur grimpeur,LED LED) {
    this.grimpeur = grimpeur;
    this.LED = LED;
    addRequirements(grimpeur,LED);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {
    grimpeur.pistonouvre();
  }

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    
    if(grimpeur.piston()){
      LED.couleur(0, 0, 255);
    }
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    LED.couleur(0, 0, 0);
    
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
